/** @typedef {import('@babel/core').BabelFileResult} BabelFileResult */
/**
 * @returns {{
 *   name: 'tailwind-grouping',
 *   transform: (code: string, id: string) => { code?: BabelFileResult['code'], map: BabelFileResult['map'] } | void
 * }}
 */
export default function tailwindGroupingPlugin(): {
    name: 'tailwind-grouping';
    transform: (code: string, id: string) => void | {
        code?: BabelFileResult['code'];
        map: BabelFileResult['map'];
    };
};
export type BabelFileResult = import('@babel/core').BabelFileResult;
